Std Undo/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "* Aby cofnąć wiele czynności, kliknij na małą czarną strzałkę w dół po prawej stronie przycisku {{Button|16px Std Cofnij}} i wybi...")
(Created page with "==Ustawienia==")
Line 34: Line 34:
* Aby cofnąć wiele czynności, kliknij na małą czarną strzałkę w dół po prawej stronie przycisku {{Button|[[Image:Std_Undo.svg|16px]] [[Std_Undo|Std Cofnij]]}} i wybierz odpowiednią pozycję z listy.
* Aby cofnąć wiele czynności, kliknij na małą czarną strzałkę w dół po prawej stronie przycisku {{Button|[[Image:Std_Undo.svg|16px]] [[Std_Undo|Std Cofnij]]}} i wybierz odpowiednią pozycję z listy.


==Preferences==
==Ustawienia==


* The Undo/Redo functionality can be disabled by setting {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo}} to {{FALSE}}, but this is not recommended. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].
* The Undo/Redo functionality can be disabled by setting {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo}} to {{FALSE}}, but this is not recommended. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].

Revision as of 18:00, 13 May 2022

Std: Cofnij

Lokalizacja w menu
Edycja → Cofnij
Środowisko pracy
wszystkie
Domyślny skrót
Ctrl+Z
Wprowadzono w wersji
-
Zobacz także
Przywróć

Opis

Polecenie Cofnij cofa ostatnią czynność

Użycie

  1. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Cofnij.
    • Wybierz z menu opcję Edycja → Cofnij.
    • Użyj skrótu klawiaturowego: Ctrl + Z.

Opcje

  • Aby cofnąć wiele czynności, kliknij na małą czarną strzałkę w dół po prawej stronie przycisku Std Cofnij i wybierz odpowiednią pozycję z listy.

Ustawienia

  • The Undo/Redo functionality can be disabled by setting Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo to false, but this is not recommended. This setting can also be changed in the Preferences Editor.
  • The maximum number of Undo/Redo steps is controlled by Tools → Edit parameters... → BaseApp → Preferences → Document → MaxUndoSize. This setting can also be changed in the Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To undo the last action use the undo method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.undo()

When running FreeCAD in pure console mode (CLI), the undo/redo mechanism isn't enabled by default. It must be explicitly activated for each document.

import FreeCAD

FreeCAD.ActiveDocument.UndoMode = 1